<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>oska: /home/bfsw/host/releases/sdioemb/oska-4/builds/oska-4/include/oska/spinlock.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="files.html">File&nbsp;List</a></div>
<h1>/home/bfsw/host/releases/sdioemb/oska-4/builds/oska-4/include/oska/spinlock.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Operating system kernel abstraction -- spinlocks</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef __OSKA_SPINLOCK_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define __OSKA_SPINLOCK_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#ifdef __OSKA_API_DOC</span>
00013 <span class="preprocessor"></span>
<a name="l00022"></a><a class="code" href="group__spinlock.html#ga0">00022</a> <span class="keyword">typedef</span> implementation_defined <a class="code" href="group__spinlock.html#ga0">os_spinlock_t</a>;
00023 
00033 <span class="keywordtype">void</span> <a class="code" href="group__spinlock.html#ga1">os_spinlock_init</a>(os_spinlock_t *lock);
00034 
00044 <span class="keywordtype">void</span> <a class="code" href="group__spinlock.html#ga2">os_spinlock_destroy</a>(os_spinlock_t *lock);
00045 
00057 <span class="keywordtype">void</span> <a class="code" href="group__spinlock.html#ga3">os_spinlock_lock_intsave</a>(os_spinlock_t *lock, os_int_status_t *int_state);
00058 
00069 <span class="keywordtype">void</span> <a class="code" href="group__spinlock.html#ga4">os_spinlock_unlock_intrestore</a>(os_spinlock_t *lock, os_int_status_t *int_state);
00070 
00071 <span class="preprocessor">#endif </span><span class="comment">/* __OSKA_API_DOC */</span>
00072 
00073 <span class="preprocessor">#ifdef linux</span>
00074 <span class="preprocessor"></span><span class="preprocessor">#  include &lt;../linux/spinlock.h&gt;</span>
00075 <span class="preprocessor">#else</span>
00076 <span class="preprocessor"></span><span class="preprocessor">#  error &lt;oska/spinlock.h&gt; not provided for this OS</span>
00077 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00078 <span class="preprocessor"></span>
00079 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef __OSKA_SPINLOCK_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:35 2008 for oska by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
